using System;
using System.Collections.Generic;
using System.Text;

namespace cc.breeze.libpasori
{
    /// <summary>
    /// libpasori関係の例外
    /// </summary>
    public class LibPasoriException : Exception
    {
        /// <summary>
        /// コンストラクタ
        /// </summary>
        public  LibPasoriException()
        {
        }

        /// <summary>
        /// コンストラクタ
        /// メッセージ指定
        /// </summary>
        /// <param name="mes"></param>
        public LibPasoriException(string mes) : base( mes )
        {
        }

        /// <summary>
        /// コンストラクタ
        /// メッセージと入れ子例外指定
        /// </summary>
        /// <param name="mes"></param>
        /// <param name="e"></param>
        public LibPasoriException(string mes, Exception e)
            : base(mes, e)
        {
        }
    }
}
